/**
  * Web Engine Abstraction Layer.
  * @file gwebhistorylist.c: History List Interface Implementation
  * @version $Rev: 2092 $
  * @date $LastChangedDate: 2005-11-01 14:53:00 +0200 (Tue, 01 Nov 2005) $
  *
  * Copyright (C) 2005 Nokia Corporation.
  *
  * Contact: Leonid Zolotarev <leonid.zolotarev@nokia.com>
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public License
  * as published by the Free Software Foundation; either version 2.1 of
  * the License, or (at your option) any later version.
  *
  * This library is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  * 02110-1301 USA
  *
  */

#include "gwebhistorylist.h"

/* GWebHistoryListIface */

static void
g_web_history_list_base_init (gpointer g_class)
{
	static gboolean initialized = FALSE;

	if (!initialized) {
		/* create interface signals here. */
		initialized = TRUE;
	}
}

GType
g_web_history_list_get_type (void)
{
    static GType type = 0;
    if (type == 0) {
        static const GTypeInfo info = {
            sizeof (GWebHistoryListIface),
            g_web_history_list_base_init,   /* base_init */
            NULL,   /* base_finalize */
            NULL,   /* class_init */
            NULL,   /* class_finalize */
            NULL,   /* class_data */
            0,
            0,      /* n_preallocs */
            NULL    /* instance_init */
        };
        type = g_type_register_static (G_TYPE_INTERFACE, "GWebHistoryList", &info, 0);
    }
    return type;
}

void
g_web_history_list_destroy (GWebHistoryList *self)
{
	G_WEB_HISTORY_LIST_GET_CLASS (self)->destroy (self);
}

void
g_web_history_list_delete_item (GWebHistoryList *self, GObject *item)
{
	G_WEB_HISTORY_LIST_GET_CLASS (self)->delete_item (self, item);
}

GObject*
g_web_history_list_get_items (GWebHistoryList *self)
{
	return G_WEB_HISTORY_LIST_GET_CLASS (self)->get_items (self);
}

gint
g_web_history_list_get_items_count (GWebHistoryList *self)
{
	return G_WEB_HISTORY_LIST_GET_CLASS (self)->get_items_count (self);
}

const gchar*
g_web_history_list_get_item_title (GWebHistoryList *self, gint pos)
{
	return G_WEB_HISTORY_LIST_GET_CLASS (self)->get_item_title (self, pos);
}

const gchar*
g_web_history_list_get_item_url (GWebHistoryList *self, gint pos)
{
	return G_WEB_HISTORY_LIST_GET_CLASS (self)->get_item_url (self, pos);
}

GTime
g_web_history_list_get_item_time (GWebHistoryList *self, gint pos)
{
	return G_WEB_HISTORY_LIST_GET_CLASS (self)->get_item_time (self, pos);
}
